Skip to main content
PATCH
/
api
/
v1
/
iam
/
tunnel
/
bridges
/
{id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.tunnelCredentials.updateBridge({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "bridge": {
    "appliance": {
      "announcedServiceCount": 123,
      "lastSeenAt": "2023-11-07T05:31:56Z",
      "links": [
        {
          "avgRtt": "<string>",
          "leaseExpiresAt": "2023-11-07T05:31:56Z",
          "relayAddress": "<string>",
          "relayId": "<string>"
        }
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "displayName": "<string>",
    "id": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The id field.

Body

application/json

The TunnelCredentialsServiceUpdateBridgeRequest message.

description
string | null

New description. Applied only when "description" is in update_mask. Empty clears the description.

displayName
string | null

New display name. Applied only when "display_name" is in update_mask. Must be non-empty when applied.

updateMask
string | null

Response

200 - application/json

Successful response

The TunnelCredentialsServiceUpdateBridgeResponse message.

bridge
Tunnel Bridge · object

TunnelBridge is the API view of a bridge — the customer-facing entity for managing a wormhole tunnel appliance.